ExtendedDataTableRenderer (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.html.ExtendedDataTableRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ExtendedDataTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.AbstractExtendedRowsRenderer
                      org.richfaces.renderkit.AbstractExtendedTableRenderer
                          org.richfaces.renderkit.html.ExtendedDataTableRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

    public class ExtendedDataTableRenderer

extends AbstractExtendedTableRenderer

Renderer for component class org.richfaces.renderkit.html.ExtendedDataTableRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.AbstractExtendedTableRenderer
`AbstractExtendedTableRenderer.G3HeaderEncodeStrategy, AbstractExtendedTableRenderer.RichHeaderEncodeStrategy, AbstractExtendedTableRenderer.SimpleHeaderEncodeStrategy`

Nested classes/interfaces inherited from class org.richfaces.renderkit.AbstractExtendedRowsRenderer
`AbstractExtendedRowsRenderer.CompositeRendererEnabler`

Field Summary

Fields inherited from class org.richfaces.renderkit.AbstractExtendedRowsRenderer
`CELL_CLASS_KEY, composite, MENU_ID, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ExtendedDataTableRenderer()`

Method Summary
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIExtendedDataTable component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIExtendedDataTable component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIExtendedDataTable component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`protected java.lang.Class` | `getComponentClass()` Get base component class, targetted for this renderer.
`boolean` | `getRendersChildren()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`

Methods inherited from class org.richfaces.renderkit.AbstractExtendedTableRenderer
`addInplaceInput, buildAjaxFunction, calculateRowColumns, contributorsEncodeHere, createClientDataTable, doDecode, encodeBegin, encodeColumns, encodeDragDropChildScripts, encodeEnd, encodeFooter, encodeHeader, encodeHeaderFacets, encodeNamespace, encodeNoDataRow, encodeOneRow, encodeRowId, encodeRowStart, encodeRowStart, encodeScriptIfNecessary, encodeTableMenu, getCellSkinClass, getChangeColumnVisibilityFunction, getColumnsCount, getFirstRowSkinClass, getGroupFunction, getGroupFunctionDef, getJavaScriptVarName, getOnAjaxCompleteFunction, getOnGroupToggleFunctionDef, getOnResizeFunctionDef, getPreSendAjaxRequestFunction, getRowSkinClass, getScriptContributions, getShowMenuFunction, getSortFunction, getSortFunctionDef, getSortFunctionDef, isColumnFacetPresent, isColumnRendered, renderDragSupport, renderDropSupport, rowGroupChanged`

Methods inherited from class org.richfaces.renderkit.AbstractExtendedRowsRenderer
`doCleanup, encodeCaption, encodeCellChildren, encodeChildren, encodeRowEvents, encodeRows, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, process`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedDataTableRenderer

    public ExtendedDataTableRenderer()

Method Detail

### getStyles

    protected org.ajax4jsf.resource.InternetResource[] getStyles()

  Overrides:
    `getStyles` in class `AbstractExtendedRowsRenderer`

### getScripts

    protected org.ajax4jsf.resource.InternetResource[] getScripts()

  Overrides:
    `getScripts` in class `AbstractExtendedRowsRenderer`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Get base component class, targetted for this renderer. Used for check arguments in decode/encode.

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`
  Returns:

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Overrides:
    `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              UIExtendedDataTable component,
                              org.ajax4jsf.renderkit.ComponentVariables variables)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeChildren

    public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Overrides:
    `doEncodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeChildren

    public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 UIExtendedDataTable component,
                                 org.ajax4jsf.renderkit.ComponentVariables variables)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `AbstractExtendedRowsRenderer`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            UIExtendedDataTable component,
                            org.ajax4jsf.renderkit.ComponentVariables variables)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.